Subject: Re: bug#30223: 27.0.50; Arglist of advised but undefined functions missing

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 17 Apr 2018 22:16:52 +0200

"Basil L. Contovounesios" <[email-masked]> writes:

> Steps to reproduce:
>
> 1. emacs -Q
> 2. (advice-add 'some-funbound-sym :override #'ignore)
> 3. C-h f some-funbound-sym RET
>
> This results in the *Help* buffer reporting:
>
> some-funbound-sym is .
>
> [Missing arglist.  Please make a bug report.]
>
> Not documented.
>
> [back]
>
> which I presume is at least partially due to
>
>   (get 'some-funbound-sym 'function-documentation)
>     => (advice--make-docstring 'some-funbound-sym)
>
> I wouldn't expect advised-but-undefined functions to have meaningful
> documentation, but IMO the suggestion to make a bug report is
> misleading, given that many users are likely to advise as-of-yet
> undefined functions in their user-init-file.

Yeah, this sounds like something that can happen commonly and there
shouldn't be a "make a bug report" here.

And describe-function should just say that it's a function that's not
defined, but that there's a advice for the symbol, I think?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no